<html lang="en">
<head>
    <meta charset="UTF-8">
    <link type="text/css" href="css/textProblemEditionPdf.css" rel="stylesheet">
</head>
<body>
    <footer>
        Document édité depuis la banque M@ths en-vie - https://banque.appenvie.fr
    </footer>

    <main>
        <h3 class="title">Fiche problèmes</h3>
        <p class="name">Prénom : __________________________________________</p>

        {% if type == 1 %}
        <table class="type-1">
            {% for problem in problems %}
            <tr>
                <th class="number">{{ loop.index }}</th>
                <td class="statement">{{ problem.statement|boldQuestion|htmldecode }}</td>
            </tr>
            {% endfor %}
        <table>
        {% elseif type == 2 %}
        <table class="type-2">
            {% for problem in problems %}
            <tr>
                <th class="number">{{ loop.index }}</th>
                <td class="statement">{{ problem.statement|boldQuestion|htmldecode }}</td>
            </tr>
            {% endfor %}
        <table>
        {% elseif type == 3 %}
            {% for problem in problems %}
            {% if loop.index0 % 2 == 0 %}
                <div style="page-break-after: always;">
            {% endif %}
                <div style="width: 50%; {{ loop.index is odd ? "float: left" : "float: right"}}">
                    <table class="type-3">
                        <tr>
                            <th class="title">Problème n°{{ loop.index }}</th>
                        </tr>
                        <tr>
                            <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                        </tr>
                        <tr>
                            <td valign="top" class="resolution" {{ loop.index > 2 ? 'style="height: 325px;"' }}>
                                <span>Résolution :</span>
                                <div class="resolution-div">
                                    <div></div>
                                    <div></div>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="response">Phrase réponse :
                                <span>______________________________</span>
                                <span>______________________________</span>
                            </td>
                        </tr>
                    <table>
                </div>
                {% if loop.index is even %}
                    <div style="clear: both"></div>
                {% endif %}
            {% if loop.index0 % 2 == 1 %}
            </div>
            {% endif %}
            {% endfor %}
        {% elseif type == 4 %}
            {% for problem in problems %}
                {% if loop.index0 % 4 == 0 %}
                <div style="page-break-after: always;">
                {% endif %}
                    <div style="width: 50%; {{ loop.index is odd ? "float: left" : "float: right"}}">
                        <table class="type-4">
                            <tr>
                                <th class="title">Problème n°{{ loop.index }}</th>
                            </tr>
                            <tr>
                                <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                            </tr>
                            <tr>
                                <td valign="top" class="resolution" {{ loop.index > 4 ? 'style="height: 210px;"' }}>
                                    <span>Résolution :</span>
                                    <div class="resolution-div">
                                        <div></div>
                                        <div></div>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td class="response">Phrase réponse :
                                    <span>____________________</span>
                                    <span>____________________</span>
                                </td>
                            </tr>
                        <table>
                    </div>
                    {% if loop.index is even %}
                    <div style="clear: both"></div>
                    {% endif %}
                {% if loop.index0 % 4 == 3 %}
                </div>
                {% endif %}
            {% endfor %}
        {% endif %}
    </main>
</body>
</html>